For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order List

Atlas API orderList.do reference for retrieving orders and supporting post-booking operational review.

💬 Need help? If you're stuck, ask Eva in the Help Center for instant diagnostics.

Ask Eva

Order List

post

Dependency: No preceding function needs to be called before 'orderList' API.

Endpoint: https://sandbox.atriptech.com/orderList.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body

A series of conditions for matching orders

orderNostring · nullableOptional

Atlas order number. Accurate matching

Example: TESTA20241122090710695
airlinePNRsstring[] · nullableOptional

The airline PNR(not Atlas's). If the airline pnr of the order contains any of the given values, it will be returned.

paxNamestring · nullableOptional

The name of the passenger(last name/first name). If the passenger in the order includes the given value, it will be returned.

contactEmailstring · nullableOptional

Accurate matching,match based on the contact email provided by the customer

fromCitystring · nullableOptional

IATA code of the departure city

toCitystring · nullableOptional

IATA code of the arrival city

depDatestring · nullableOptional

Date of departure. The format is:yyyyMMdd

createTimeRangeFromstring · nullableOptional

The start time of order creation. This is in UTC. The format is:yyyy-MM-dd'T'HH:mm:ss'Z'.

createTimeRangeTostring · nullableOptional

The end time of order creation. This is in UTC. The format isyyyy-MM-dd'T'HH:mm:ss'Z'

airlinesstring[] · nullableOptional

If the airlines of the order contains any of the given values, it will be returned

pagestring · nullableOptional

Start from: 1

Default: 1
pageSizestring · max: 100 · nullableOptional

Number of records to be displayed on each page.

Default: 20
Responses
200Success
application/json
statusintegerRequired
msgstring · nullableOptional

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

pagestringRequired
pageSizestringRequired
totalRecordsstringRequired
post/orderList.do
POST /orderList.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 285

{
  "orderNo": "",
  "airlinePNRs": [
    "FT759J",
    "8HFT67"
  ],
  "paxName": "",
  "contactEmail": "",
  "fromCity": "",
  "toCity": "",
  "depDate": "20250101",
  "createTimeRangeFrom": "2024-10-31T19:57:46Z",
  "createTimeRangeTo": "2024-11-01T19:57:46Z",
  "orderStatus": [
    0,
    1,
    2,
    -3
  ],
  "airlines": [
    "SL",
    "TF"
  ],
  "page": 1,
  "pageSize": 20
}
200Success
{
  "status": 0,
  "msg": null,
  "page": 1,
  "pageSize": 20,
  "totalRecords": 2,
  "orders": [
    {
      "orderNo": "TESTA20241122090710695",
      "pnrCode": "Z27T5B",
      "airlinePNRs": [
        "FT759J"
      ],
      "orderStatus": 2,
      "depDate": "20250101",
      "airlines": [
        "SL"
      ],
      "orderCreateTimestamp": "2024-11-22T01:07:10Z",
      "paymentTimestamp": "2024-11-22T01:07:11Z",
      "paxNames": [
        "YIJING/tFGo"
      ],
      "contactEmail": "test@test.com",
      "fromCity": "CNX",
      "toCity": "BKK",
      "errorCode": null,
      "errorMessage": null
    },
    {
      "orderNo": "TESTA20241122080618700",
      "pnrCode": "LLQNYJ",
      "airlinePNRs": [
        "8HFT67|8HFT67"
      ],
      "orderStatus": 2,
      "depDate": "20250101",
      "airlines": [
        "TF"
      ],
      "orderCreateTimestamp": "2024-11-22T00:06:18Z",
      "paymentTimestamp": "2024-11-22T00:06:19Z",
      "paxNames": [
        "YIJING/gAMM",
        "JIXING/gAMM"
      ],
      "contactEmail": "test@test.com",
      "fromCity": "VBY",
      "toCity": "STO",
      "errorCode": null,
      "errorMessage": null
    }
  ]
}

Was this helpful?